%define realversion alpha2-fix4

Summary:   NESSUS security auditing system server daemon
Name:      nessus
Version:   alpha2_fix4
Release:   1
URL:       http://www.nessus.org/
Source0:   http://www.nessus.org/%{name}-%{realversion}.tgz
Source1:   nessusd.init
Source2:   nessusd.rules
Source3:   nessusd.users
Source4:   nessusd.conf
Patch0:	   nessus-alpha2-fix4-buildroot.patch
Copyright: distributable (Open Source)
Group:     System Environment/Daemons
Buildroot: /var/tmp/%{name}-%{realversion}-root
Prereq:    /sbin/chkconfig

%description
The aim of the NESSUS project is to provide the internet community a
free, open-sourced and easy-to-use security auditing tool.  This
package contains the server part of NESSUS.


%package client
Summary: NESSUS security auditing system client
Group: Applications/Internet
Requires:  gtk+ >= 1.0.6

%description client
The aim of the NESSUS project is to provide the internet community a
free, open-sourced and easy-to-use security auditing tool.  This
package contain the client part of NESSUS.


%prep
%setup -q -n %{name}-%{realversion}
%patch0 -p1 -b .buildroot

%build
CFLAGS="$RPM_OPT_FLAGS" \
./configure --enable-syslog \
	--enable-cipher \
	--enable-pthreads \
	--exec_prefix=/usr \
	--sysconfdir=/etc \
	--localstatedir=/var \
	--prefix=/usr
make


%install
rm -fr $RPM_BUILD_ROOT

make install prefix=$RPM_BUILD_ROOT/usr \
	exec_prefix=$RPM_BUILD_ROOT/usr \
	sysconfdir=$RPM_BUILD_ROOT/etc \
	localstatedir=$RPM_BUILD_ROOT/var

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install $RPM_SOURCE_DIR/nessusd.init  $RPM_BUILD_ROOT/etc/rc.d/init.d/nessusd

install $RPM_SOURCE_DIR/nessusd.rules $RPM_BUILD_ROOT/usr/share/nessus
install $RPM_SOURCE_DIR/nessusd.users $RPM_BUILD_ROOT/usr/share/nessus
install $RPM_SOURCE_DIR/nessusd.conf  $RPM_BUILD_ROOT/etc
chmod +x $RPM_BUILD_ROOT/usr/libexec/nessus/*
strip    $RPM_BUILD_ROOT/usr/libexec/nessus/*

%post
/sbin/chkconfig --add nessusd
/sbin/ldconfig

echo ""
echo "You have to generate a user/password account"
echo "Just issue nessusd -P user,password"
#echo "Edit immediatly /usr/share/nessus/nessusd.users file"
#echo "and change at least the password"
echo "Also don't forget to setup /usr/share/nessus/nessusd.rules"
echo "and /etc/nessusd.conf to follow your site needs"
echo ""

%postun
if [ $1 = 0 ]; then
  /sbin/chkconfig --del nessusd
  if [ -f /var/log/nessusd.messages ]; then
    rm -f /var/log/nessusd.messages.*
fi
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(644,root,root)	  %config(noreplace) /etc/nessusd.conf
%attr(755,root,root)      /etc/rc.d/init.d/nessusd
%attr( - ,root,root)      /usr/lib/*
%attr(755,root,root) %dir /usr/libexec/nessus
%attr(755,root,root)      /usr/libexec/nessus/*
%attr(644,root,root) %dir /usr/share/nessus
%attr(600,root,root)      %config(noreplace) /usr/share/nessus/nessusd.rules
%attr(600,root,root)      %config(noreplace) /usr/share/nessus/nessusd.users
%attr(644,root,root)	  /usr/share/nessus/queso.conf
%attr(750,root,root)      /usr/sbin/nessusd
%attr(644,root,root)      /usr/man/man1/*
%doc                      INSTALL NEWS README* UPGRADE* doc/

%files client
%defattr(-,root,root)
%attr(755,root,root)      /usr/bin/nessus 
%attr( - ,root,root)      /usr/lib/libnessus.so*
%attr( - ,root,root)      /usr/lib/libnessusc.so*
%attr(770,root,root) %dir /usr/share/nessus/reports

%changelog
* Fri Apr 23 1999 Preston Brown <pbrown@redhat.com>
- adopted package for PowerTools 6.0, minor cleanups
- upgraded to fix4 release

* Fri Apr  2 1999 Henri Gomez <gomez@slib.fr>
- Removed thread support (wait Renaud fixes)

* Thu Apr  1 1999 Henri Gomez <gomez@slib.fr>
- Upgraded to alpha2-pre1

* Wed Mar 31 1999 Henri Gomez <gomez@slib.fr>
- Upgraded to 990331
- Now use thread model
- Modified to follow devel tar.gz package
- Removed gtk patch, now gtk 1.0.6 required
- New authorisation model, use nessusd -P user,password
  the first time to add a user/password in nessusd

* Thu Mar 11 1999 Henri Gomez <gomez@slib.fr>
- Upgraded to 990311
- Splitted in two packages, client/server 
- Server goes now to group Networking/Daemons
- Client goes fall in group Networking
- -O6 flags to improve speed (?-:)

* Tue Mar  2 1999 Henri Gomez <gomez@slib.fr>
- Upgraded to 990302

* Mon Feb 22 1999 Henri Gomez <gomez@slib.fr>
- Upgraded to 990220.
- Do not override nessusd.rules and nessusd.users

* Fri Feb 12 1999 Henri Gomez <gomez@slib.fr>
- Second RPM release (990209)
- Simplification of patch file.

* Wed Feb 10 1999 Henri Gomez <gomez@slib.fr>
- First RPM release (990201)
